# (oe) undefining these makes the build _real_ quick.
%undefine __find_provides
%undefine __find_requires

Summary:	gp | Easy (CMS)
Name:		gpEasy
Version:	2.1
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Servers
URL:		http://gpeasy.com/
Source0:	%{name}-%{version}.tar.xz
BuildRequires:	apache-base >= 2.2.17
BuildRequires:	file
BuildRequires:	unzip
Requires(pre):	apache-mod_php php-gd php-xml
Requires:	apache-mod_php php-gd php-xml
BuildArch:	noarch
Obsoletes:	name < %version
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
gpEasy CMS was built to make website creation and management 
easy, for anyone. gpEasy is the perfect content management 
system (cms) for personal and commercial web sites that require 
fast page loading and search engine friendly structure.

gpEasy is a lightweight cms (built without the use of a database) 
which helps us reach our goal of making it fast and easy to use right 
down to the installation. Once installed, you'll find an intuitive interface 
that let's you edit your entire site in WYSIWYG fashion.

%prep

%setup -q -n gpEasy


%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}/var/www/html/gpEasy
cp -aRf * %{buildroot}/var/www/html/gpEasy


%post
%_post_webapp
echo
echo "Point your browser to http://127.0.0.1/gpEasy to configure gpEasy"
echo
chmod 777 /var//www/html/gpEasy

%postun
%_postun_webapp



%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
/*

%changelog
* Sat Jun 11 2011 Archie <pclinuxos.ph at gmail dot com>
- Create package
